claw::math::curve< C, Traits >::section Class Reference

A section is a part of the curve between two control points. More...

`#include <curve.hpp>`

## Classes

class | resolved_point
| The resolved point class is a point found on a section. More...

## Public Types

typedef C | coordinate_type
| The type of the coordinates of the curve.
typedef Traits | traits_type
| The traits provide an access to the properties of the coordinates.
typedef traits_type::value_type | value_type
| The type of the components of the coordinates.
typedef const_iterator | iterator_type
| The type of the iterators on the ends of the section.

## Public Member Functions

| section (const iterator_type &origin, const iterator_type &end)
coordinate_type | get_point_at (double t) const
coordinate_type | get_tangent_at (double t) const
std::vector< resolved_point > | get_point_at_x (value_type x, bool off_domain=false) const
const iterator_type & | get_origin () const
bool | empty () const

## Detailed Description

template<typename C, typename Traits = coordinate_traits<C>>
class claw::math::curve< C, Traits >::section

A section is a part of the curve between two control points.

Author
  Julien Jorge

Definition at line 114 of file curve.hpp.

## Member Typedef Documentation

## coordinate_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef C claw::math::curve< C, Traits >::section::coordinate_type

The type of the coordinates of the curve.

Definition at line 118 of file curve.hpp.

## iterator_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef const_iterator claw::math::curve< C, Traits >::section::iterator_type

The type of the iterators on the ends of the section.

Definition at line 128 of file curve.hpp.

## traits_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef Traits claw::math::curve< C, Traits >::section::traits_type

The traits provide an access to the properties of the coordinates.

Definition at line 122 of file curve.hpp.

## value_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef traits_type::value_type claw::math::curve< C, Traits >::section::value_type

The type of the components of the coordinates.

Definition at line 125 of file curve.hpp.

The documentation for this class was generated from the following file:

- curve.hpp